#!/usr/bin/perl
##---------------------------------------------------------------------
## send the application/x-x509-ca-cert stream to browser. The stream 
## contains the CA certificate in DER format. In netscape the certificate
## will be inserted in cert7.db file. We need this db file in order to
## communicate with LDAP server via SSL.
## muquit@muquit.com Dec-24-2002 
##----------------------------------------------------------------------

use strict;
$|=1;

# The certificate file in DER format
my $cert_file="./cacert.der";

if (! -f $cert_file)
{
    print "Content-type: text/plain\n\n";
    print <<EOF;
The certificate file $cert_file does not exist
EOF
;
exit 0;
}

# open the certificate file
open (FD,"$cert_file") or die "could not open cert $cert_file for reading ($!)";

# send the certificate as application/x-x509-ca-cert MIME stream
print "Content-type: application/x-x509-ca-cert\n\n";
while (<FD>)
{
    print $_;
}
close(FD);